"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

require("./styles.css");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function LoadingIcon() {
  return _react.default.createElement("svg", {
    width: "100%",
    height: "100%",
    viewBox: "0 0 105 105",
    xmlns: "http://www.w3.org/2000/svg",
    fill: "#88c0d3"
  }, _react.default.createElement("circle", {
    cx: "12.5",
    cy: "12.5",
    r: "12.5"
  }, _react.default.createElement("animate", {
    attributeName: "fill-opacity",
    begin: "0s",
    dur: "1s",
    values: "1;.2;1",
    calcMode: "linear",
    repeatCount: "indefinite"
  })), _react.default.createElement("circle", {
    cx: "12.5",
    cy: "52.5",
    r: "12.5"
  }, _react.default.createElement("animate", {
    attributeName: "fill-opacity",
    begin: "100ms",
    dur: "1s",
    values: "1;.2;1",
    calcMode: "linear",
    repeatCount: "indefinite"
  })), _react.default.createElement("circle", {
    cx: "52.5",
    cy: "12.5",
    r: "12.5"
  }, _react.default.createElement("animate", {
    attributeName: "fill-opacity",
    begin: "300ms",
    dur: "1s",
    values: "1;.2;1",
    calcMode: "linear",
    repeatCount: "indefinite"
  })), _react.default.createElement("circle", {
    cx: "52.5",
    cy: "52.5",
    r: "12.5"
  }, _react.default.createElement("animate", {
    attributeName: "fill-opacity",
    begin: "600ms",
    dur: "1s",
    values: "1;.2;1",
    calcMode: "linear",
    repeatCount: "indefinite"
  })), _react.default.createElement("circle", {
    cx: "92.5",
    cy: "12.5",
    r: "12.5"
  }, _react.default.createElement("animate", {
    attributeName: "fill-opacity",
    begin: "800ms",
    dur: "1s",
    values: "1;.2;1",
    calcMode: "linear",
    repeatCount: "indefinite"
  })), _react.default.createElement("circle", {
    cx: "92.5",
    cy: "52.5",
    r: "12.5"
  }, _react.default.createElement("animate", {
    attributeName: "fill-opacity",
    begin: "400ms",
    dur: "1s",
    values: "1;.2;1",
    calcMode: "linear",
    repeatCount: "indefinite"
  })), _react.default.createElement("circle", {
    cx: "12.5",
    cy: "92.5",
    r: "12.5"
  }, _react.default.createElement("animate", {
    attributeName: "fill-opacity",
    begin: "700ms",
    dur: "1s",
    values: "1;.2;1",
    calcMode: "linear",
    repeatCount: "indefinite"
  })), _react.default.createElement("circle", {
    cx: "52.5",
    cy: "92.5",
    r: "12.5"
  }, _react.default.createElement("animate", {
    attributeName: "fill-opacity",
    begin: "500ms",
    dur: "1s",
    values: "1;.2;1",
    calcMode: "linear",
    repeatCount: "indefinite"
  })), _react.default.createElement("circle", {
    cx: "92.5",
    cy: "92.5",
    r: "12.5"
  }, _react.default.createElement("animate", {
    attributeName: "fill-opacity",
    begin: "200ms",
    dur: "1s",
    values: "1;.2;1",
    calcMode: "linear",
    repeatCount: "indefinite"
  })));
}

class Initializing extends _react.Component {
  constructor(props) {
    super(props);
    this.state = {
      loaderHidden: true
    };
  }

  componentDidMount() {
    this.loaderTimer = setTimeout(() => this.setState({
      loaderHidden: false
    }), 1000);
  }

  componentWillUnmount() {
    clearTimeout(this.loaderTimer);
  }

  render() {
    return _react.default.createElement("div", {
      className: "wrapper"
    }, _react.default.createElement("div", {
      className: `loader ${this.state.loaderHidden ? "hidden" : "fadeIn"}`
    }, _react.default.createElement(LoadingIcon, null)));
  }

}

exports.default = Initializing;