"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _ErrorTemplate = _interopRequireDefault(require("./ErrorTemplate"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function UnsupportedNetwork(props) {
  const message = props.supportedNetworkNames.length === 1 ? `the '${props.supportedNetworkNames[0]}' network.` : `one of the following supported networks: '${props.supportedNetworkNames.join("', '")}'.`;
  return _react.default.createElement(_ErrorTemplate.default, {
    title: "Unsupported Network",
    message: `Please connect your MetaMask account or Ethereum wallet to ${message}`
  });
}

UnsupportedNetwork.propTypes = {
  supportedNetworkNames: _propTypes.default.arrayOf(_propTypes.default.string).isRequired
};
var _default = UnsupportedNetwork;
exports.default = _default;